MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026937Community[OCCT] OCCT:Foundation Classespublic2015-11-30 12:002017-09-29 16:24
ReporterRoman Lygin 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026937: Eliminate NO_CXX_EXCEPTION macro support
DescriptionThe macro is obsolete (as confirmed in 0026924) and is worth explicit removing to avoid confusion.
Steps To ReproduceN/A
Additional information
and documentation updates
Foundation Classes User's Guide requires update of the exception handling section
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028217closedapn Community Error handling is not thread safe and causing memory corruption and sporadic crashes 
related to 0028431closedapn Open CASCADE Coding, Graphic3d - Eliminate GCC warning -Wstrict-overflow 
child of 0026924closedbugmaster Community Use of exit() in a shared library 

-  Notes
(0049702)
abv (manager)
2016-01-06 16:34

Along with removal of NO_CXX_EXCEPTION macro, we shall also revise the way how exceptions are caught: instead of storing last thrown exception in global variable accessed by method Standard_Failure::Caught(), normal C++ mechanism of exception transfer should be used. Also throwing exceptions by explicit throw statement instead of method Raise() would be more correct; it will allow compiler to recognize that further code is unreachable.
(0050010)
Timo (developer)
2016-01-21 12:26

Just wanted to ask for also considering what might be good to improve exception forwarding to the C# wrapper. I don't have specific ideas or knowledge about it but currently there are usually no sensible exception messages and if the exception mechanism is revised it might be good to keep the wrappers in mind.
(0050011)
abv (manager)
2016-01-21 12:45

I agree, but this is quite different topic. I have registered separate issue for that, #27102.
(0059810)
jensgw (reporter)
2016-11-02 18:15

Also exception forwarding to the java wrapper would be awesome ...
(0062852)
git (administrator)
2017-01-20 17:02

Branch CR26937 has been created by ski.

SHA-1: caada2e67e47ddcfcd3bba690c4c1f44ee720917


Detailed log of new commits:

Author: ski
Date: Mon Jan 16 12:18:05 2017 +0300

    Storing last thrown exception in global variable accessed by method Standard_Failure::Caught() was eliminated.

Author: ski
Date: Wed Jan 18 12:40:08 2017 +0300

    Method Standard_Failure::Caught() was replaced by normal C++mechanism of exception transfer.

Author: ski
Date: Mon Jan 16 12:18:05 2017 +0300

    Method Raise() was replaced by explicit throw statement.

Author: ski
Date: Fri Jan 13 16:21:48 2017 +0300

    0026937: Eliminate NO_CXX_EXCEPTION macro support
    
    Macro NO_CXX_EXCEPTION was removed from code.
(0062858)
git (administrator)
2017-01-20 18:00

Branch CR26937 has been updated forcibly by ski.

SHA-1: 0e291f740bce4bc3bd90b198b4d6c2d469f40d16
(0062902)
git (administrator)
2017-01-23 15:10

Branch CR26937 has been updated forcibly by ski.

SHA-1: d17ea0cc3ec88e1c991dd52815ad55817c417863
(0062914)
git (administrator)
2017-01-23 16:22

Branch CR26937 has been updated by ski.

SHA-1: 876a1ba2ce614f4c4bb0324ad0cb7ddcc1192f27


Detailed log of new commits:

Author: ski
Date: Mon Jan 23 16:22:46 2017 +0300

    Eliminate empty method ChangeValue from NCollection_Map class.

(0062918)
git (administrator)
2017-01-23 18:01

Branch CR26937 has been updated forcibly by ski.

SHA-1: 0a029f30424d7949e44b4ad510dae452219fd296
(0062922)
ski (developer)
2017-01-23 18:54

Dear abv,

please review occt branch CR26937 and products branch CR26937
(0062923)
abv (manager)
2017-01-23 19:30

Some minor remarks:

- In Standard_ErrorHandler.hxx, line 197: please correct comment "If neither OCC_CONVERT_SIGNALS is defined," -> "If OCC_CONVERT_SIGNALS is not defined,"

- In Standard_Failure.hxx: please extend message "This method is deprecated" to "This method is deprecated (not thread-safe), use standard C++ mechanism instead"

- In BRepClass3d_SolidExplorer, it is better to keep declaration of copy constructor, without implementation and as private -- this will prevent compiler from attempt to generate default copy constructor

- In TDF_Delta.cxx, why you replaced throw by cout?
(0062929)
git (administrator)
2017-01-24 11:26

Branch CR26937 has been updated by ski.

SHA-1: a640b48ae375f3f051ca7a0f0b61ce6f9863285d


Detailed log of new commits:

Author: ski
Date: Mon Jan 23 16:22:46 2017 +0300

    Remarks were applied.

(0062940)
git (administrator)
2017-01-24 13:49

Branch CR26937 has been updated by ski.

SHA-1: 217c758a7d29faa3562d5f5be0ea430524c607f5


Detailed log of new commits:

Author: ski
Date: Mon Jan 23 16:22:46 2017 +0300

    Adjusting test case according to improvements in new behaviour.

(0063007)
ski (developer)
2017-01-25 14:26

Dear abv,

all remarks were applied.

please review.
(0063013)
git (administrator)
2017-01-25 15:00

Branch CR26937 has been updated forcibly by ski.

SHA-1: 35878ceb1eacff3490d5c27fbfc35ab8f39ac1ea
(0063086)
abv (manager)
2017-01-26 13:13

No remarks, please test
(0063202)
git (administrator)
2017-01-30 16:34

Branch CR26937 has been updated forcibly by ski.

SHA-1: 9dd5e914dbc379c42451959747023e358f35b875
(0063210)
ski (developer)
2017-01-30 17:01

OCCT branch CR26937 and products CR26937 were rebased on current state of master.
(0063220)
abv (manager)
2017-01-30 19:36

Please explain what happened since previous state of the branch has been reviewed
(0063230)
git (administrator)
2017-01-30 20:50

Branch CR26937_1 has been created by ski.

SHA-1: 1b946a8c78a910b1ba6771fb1969f9145972aa46


Detailed log of new commits:

Author: ski
Date: Fri Jan 13 16:21:48 2017 +0300

    0026937: Eliminate NO_CXX_EXCEPTION macro support
    
    Macro NO_CXX_EXCEPTION was removed from code.
    Method Raise() was replaced by explicit throw statement.
    Method Standard_Failure::Caught() was replaced by normal C++mechanism of exception transfer.
    Method Standard_Failure::Caught() is deprecated now.
    Eliminated empty constructors.
    Updated samples.
    Eliminate empty method ChangeValue from NCollection_Map class.
(0063231)
abv (manager)
2017-01-30 21:56

Reviewed, please test
(0063236)
git (administrator)
2017-01-31 09:52

Branch CR26937_1 has been updated by ski.

SHA-1: dc5994fa4406af23327b8d18db2e5079d1881b4e


Detailed log of new commits:

Author: ski
Date: Fri Jan 13 16:21:48 2017 +0300

    Fixed compile errors.

(0063283)
mkv (tester)
2017-02-01 12:43

Dear BugMaster,
Branch CR26937_1 from occt git-repository (and CR26937 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: dc5994fa4406af23327b8d18db2e5079d1881b4e
SHA-1: 66a48169172db3a4701459a9f8d707a1e1f9a1b8
 There are following compilation errors:
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26937_1-CR26937/job/CR26937_1-CR26937-Products-Windows-64-VC10-csharp-samples/1/parsed_console/ [^]
1>occcsharp_wrap.cxx(16723): error C2039: 'ChangeValue' : is not a member of 'NCollection_Map<TheKeyType,Hasher>::Iterator'
...
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR26937_1-CR26937/job/CR26937_1-CR26937-Products-Windows-64-VC10-java-samples/1/parsed_console/ [^]
..\..\..\OCCwrapJava\occjava_wrap.cxx(15683): error C2039: 'ChangeValue' : is not a member of 'NCollection_Map<TheKeyType,Hasher>::Iterator' [D:\install\CR26937_1-CR26937\Windows-64-VC10-opt\Products\samples\java\win64\VC10\cmake\OCCwrapJava.vcxproj]
...

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1149

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91875215 / 92316429 [-0.48%]
Total CPU difference: 19988.740000000147 / 19914.260000000217 [+0.37%]
products component :
Total MEMORY difference: 31431336 / 31477908 [-0.15%]
Total CPU difference: 5603.66999999998 / 5544.959999999981 [+1.06%]

Testing on Windows:
occt component :
Total MEMORY difference: 57621064 / 57618048 [+0.01%]
Total CPU difference: 18773.987145298546 / 18683.178963198647 [+0.49%]
products component :
Total MEMORY difference: 22659000 / 22621210 [+0.17%]
Total CPU difference: 5648.468607899988 / 5570.546108399986 [+1.40%]

There are no differences in images found by testdiff.
(0063284)
mkv (tester)
2017-02-01 12:44

Dear ski,
Branch CR26937_1 has been rejected due to:
- compilation errors
(0063324)
ski (developer)
2017-02-01 19:02

Dear abv,

please review.
(0063325)
abv (manager)
2017-02-01 19:37

Please remove also method NCollection_IndexedMap::Iterator::ChangeValue() as it is not operable, like in Map
(0063330)
git (administrator)
2017-02-01 20:24

Branch CR26937_1 has been updated by ski.

SHA-1: 1ead8bd550e3ef922ce0b8cdccab01e0c3aabda1


Detailed log of new commits:

Author: ski
Date: Wed Feb 1 20:13:34 2017 +0300

    Removed not operable methods from NCollection classes.

(0063331)
ski (developer)
2017-02-01 20:44

Done.
(0063339)
abv (manager)
2017-02-02 10:52

No remarks, please test
(0063349)
mkv (tester)
2017-02-02 12:38

Dear BugMaster,
Branch CR26937_1 from occt git-repository (and CR26937 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1ead8bd550e3ef922ce0b8cdccab01e0c3aabda1
SHA-1: c9079ea954135540e1de3d43020c40ef8389da56

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1131

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91697733 / 92232115 [-0.58%]
Total CPU difference: 20047.300000000203 / 19914.170000000217 [+0.67%]
products component :
Total MEMORY difference: 31410012 / 31477908 [-0.22%]
Total CPU difference: 5634.189999999976 / 5544.959999999981 [+1.61%]

Testing on Windows:
occt component :
Total MEMORY difference: 57529923 / 57618048 [-0.15%]
Total CPU difference: 18622.354173298565 / 18683.178963198647 [-0.33%]
products component :
Total MEMORY difference: 22632707 / 22621210 [+0.05%]
Total CPU difference: 5575.179338099982 / 5570.546108399986 [+0.08%]

There are no differences in images found by testdiff.
(0063350)
mkv (tester)
2017-02-02 12:39

Dear BugMaster,
Branch CR26937_1 from occt git-repository and CR26937 from products git-repository are TESTED.
(0063583)
git (administrator)
2017-02-08 11:35

Branch CR26937 has been deleted by kgv.

SHA-1: 9dd5e914dbc379c42451959747023e358f35b875
(0063584)
git (administrator)
2017-02-08 11:35

Branch CR26937_1 has been deleted by kgv.

SHA-1: 1ead8bd550e3ef922ce0b8cdccab01e0c3aabda1

- Related Changesets
occt: master 9775fa61
Timestamp: 2017-02-02 13:35:21
Author: ski
Committer: apn
Details ] Diff ]
0026937: Eliminate NO_CXX_EXCEPTION macro support

Macro NO_CXX_EXCEPTION was removed from code.
Method Raise() was replaced by explicit throw statement.
Method Standard_Failure::Caught() was replaced by normal C++mechanism of exception transfer.
Method Standard_Failure::Caught() is deprecated now.
Eliminated empty constructors.
Updated samples.
Eliminate empty method ChangeValue from NCollection_Map class.
Removed not operable methods from NCollection classes.
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryView2D.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.cxx Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRView2D.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRView3D.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dViewRD.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Winmain.cpp Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_Curve2d.cxx Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_Line2d.cxx Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_OffsetCurve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_Curve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_InterFunc.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_Surface.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_Context.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_Patch.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_ApproxAFunction.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_ApproxAFunction.lxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_PrefAndRec.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_SimpleApprox.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Animation.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_EllipseRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_EqualDistanceRelation.cxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.cxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AppBlend/AppBlend_AppSurf.gxx Diff ] File ]
mod - src/AppBlend/AppBlend_AppSurf.lxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices.cxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices_1.cxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices_2.cxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices_3.cxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices_4.cxx Diff ] File ]
mod - src/AppDef/AppDef_LinearCriteria.cxx Diff ] File ]
mod - src/AppDef/AppDef_MultiLine.cxx Diff ] File ]
mod - src/AppDef/AppDef_MultiPointConstraint.cxx Diff ] File ]
mod - src/AppDef/AppDef_Variational.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_LeastSquare.gxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiBSpCurve.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiCurve.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.lxx Diff ] File ]
mod - src/Approx/Approx_CurveOnSurface.cxx Diff ] File ]
mod - src/Approx/Approx_CurvlinFunc.cxx Diff ] File ]
mod - src/Approx/Approx_SameParameter.cxx Diff ] File ]
mod - src/Approx/Approx_SweepApproximation.cxx Diff ] File ]
mod - src/Approx/Approx_SweepApproximation.lxx Diff ] File ]
mod - src/Approx/Approx_SweepFunction.cxx Diff ] File ]
mod - src/Aspect/Aspect_AspectFillAreaDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_AspectLineDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_AspectMarkerDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_BadAccess.hxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnection.cxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnectionDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_DriverDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_GenId.cxx Diff ] File ]
mod - src/Aspect/Aspect_GraphicDeviceDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_IdentDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_WindowDefinitionError.hxx Diff ] File ]
mod - src/Aspect/Aspect_WindowError.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriverTable.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff ] File ]
mod - src/BinTools/BinTools.cxx Diff ] File ]
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_LocationSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnEdge.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnVertex.cxx Diff ] File ]
mod - src/Blend/Blend_CSFunction.cxx Diff ] File ]
mod - src/Blend/Blend_CSWalking.lxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_1.gxx Diff ] File ]
mod - src/Blend/Blend_Point.lxx Diff ] File ]
mod - src/Blend/Blend_RstRstFunction.cxx Diff ] File ]
mod - src/Blend/Blend_SurfRstFunction.cxx Diff ] File ]
mod - src/Blend/Blend_Walking.lxx Diff ] File ]
mod - src/Blend/Blend_Walking_1.gxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Chamfer.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ChAsym.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Corde.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_CSCircular.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_CSConstRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_EvolRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Ruled.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box2d.cxx Diff ] File ]
mod - src/Bnd/Bnd_Range.hxx Diff ] File ]
mod - src/BndLib/BndLib.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
mod - src/BRep/BRep_Builder.cxx Diff ] File ]
mod - src/BRep/BRep_CurveOn2Surfaces.cxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_PointRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_Tool.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_AsDes.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Image.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Algo.cxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Extremity.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Line.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstConstRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstEvolRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstConstRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstEvolRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.lxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Command.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_ModifyShape.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_UnCompatibleShape.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFill/BRepFill.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CurveConstraint.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Draft.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Filling.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Pipe.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_PipeShell.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Section.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionPlacement.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff ] File ]
mod - src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx Diff ] File ]
mod - src/BRepLib/BRepLib.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_Command.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_FuseEdges.cxx Diff ] File ]
mod - src/BRepLProp/BRepLProp.cxx Diff ] File ]
mod - src/BRepMAT2d/BRepMAT2d_LinkTopoBilo.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipeShell.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_Cone.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_FaceBuilder.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_GWedge.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_OneAxis.cxx Diff ] File ]
mod - src/BRepProj/BRepProj_Projection.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Debug.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_GTrsfModification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.lxx Diff ] File ]
mod - src/BRepTools/BRepTools_TrsfModification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_WireExplorer.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_2.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_CurveComputation.gxx Diff ] File ]
mod - src/BSplSLib/BSplSLib.cxx Diff ] File ]
mod - src/CDF/CDF_Application.cxx Diff ] File ]
mod - src/CDF/CDF_FWOSDriver.cxx Diff ] File ]
mod - src/CDF/CDF_MetaDataDriverError.hxx Diff ] File ]
mod - src/CDF/CDF_StoreList.cxx Diff ] File ]
mod - src/CDM/CDM_Document.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_NotImp.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder_C2.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_ChamfSpine.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_CommonPoint.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_CommonPoint.lxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_ElSpine.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Spine.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_SurfData.lxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_Fcts.cxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/Contap/Contap_ContAna.cxx Diff ] File ]
mod - src/Contap/Contap_ContAna.lxx Diff ] File ]
mod - src/Contap/Contap_Contour.cxx Diff ] File ]
mod - src/Contap/Contap_Contour.lxx Diff ] File ]
mod - src/Contap/Contap_HContTool.cxx Diff ] File ]
mod - src/Contap/Contap_Line.cxx Diff ] File ]
mod - src/Contap/Contap_Line.lxx Diff ] File ]
mod - src/Contap/Contap_Point.lxx Diff ] File ]
mod - src/Contap/Contap_SurfFunction.lxx Diff ] File ]
mod - src/Convert/Convert_CircleToBSplineCurve.cxx Diff ] File ]
mod - src/Convert/Convert_CompPolynomialToPoles.cxx Diff ] File ]
mod - src/Convert/Convert_ConicToBSplineCurve.cxx Diff ] File ]
mod - src/Convert/Convert_GridPolynomialToPoles.cxx Diff ] File ]
mod - src/Convert/Convert_PolynomialCosAndSin.cxx Diff ] File ]
mod - src/CPnts/CPnts_AbscissaPoint.cxx Diff ] File ]
mod - src/CSLib/CSLib_Class2d.cxx Diff ] File ]
mod - src/DBRep/DBRep_Debug.cxx Diff ] File ]
mod - src/DDF/DDF_IOStream.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_ToolsCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff ] File ]
mod - src/Draft/Draft.cxx Diff ] File ]
mod - src/Draft/Draft_Modification.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/Draft/Draft_VertexInfo.cxx Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw_Debug.cxx Diff ] File ]
mod - src/Draw/Draw_Failure.hxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/DrawDim/DrawDim.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_Dimension.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Debug.cxx Diff ] File ]
mod - src/Expr/Expr_BinaryExpression.cxx Diff ] File ]
mod - src/Expr/Expr_BinaryFunction.cxx Diff ] File ]
mod - src/Expr/Expr_Difference.cxx Diff ] File ]
mod - src/Expr/Expr_ExprFailure.hxx Diff ] File ]
mod - src/Expr/Expr_FunctionDerivative.cxx Diff ] File ]
mod - src/Expr/Expr_GeneralExpression.cxx Diff ] File ]
mod - src/Expr/Expr_InvalidAssignment.hxx Diff ] File ]
mod - src/Expr/Expr_InvalidFunction.hxx Diff ] File ]
mod - src/Expr/Expr_InvalidOperand.hxx Diff ] File ]
mod - src/Expr/Expr_NamedConstant.cxx Diff ] File ]
mod - src/Expr/Expr_NamedFunction.cxx Diff ] File ]
mod - src/Expr/Expr_NamedUnknown.cxx Diff ] File ]
mod - src/Expr/Expr_NotAssigned.hxx Diff ] File ]
mod - src/Expr/Expr_NotEvaluable.hxx Diff ] File ]
mod - src/Expr/Expr_NumericValue.cxx Diff ] File ]
mod - src/Expr/Expr_PolyExpression.cxx Diff ] File ]
mod - src/Expr/Expr_RelationIterator.cxx Diff ] File ]
mod - src/Expr/Expr_RUIterator.cxx Diff ] File ]
mod - src/Expr/Expr_SingleRelation.cxx Diff ] File ]
mod - src/Expr/Expr_Sum.cxx Diff ] File ]
mod - src/Expr/Expr_SystemRelation.cxx Diff ] File ]
mod - src/Expr/Expr_UnaryExpression.cxx Diff ] File ]
mod - src/Expr/Expr_UnaryFunction.cxx Diff ] File ]
mod - src/Expr/Expr_UnaryMinus.cxx Diff ] File ]
mod - src/Expr/Expr_UnknownIterator.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_GenExp.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_GenRel.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_SyntaxError.hxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_yaccintrf.cxx Diff ] File ]
mod - src/Extrema/Extrema_CurveLocator.gxx Diff ] File ]
mod - src/Extrema/Extrema_ExtCC.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtCC2d.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElC.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElC.hxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElC2d.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtElSS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPElC.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPElC2d.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPElS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPExtS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPRevS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPS.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtSS.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtSS.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncPSNorm.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtSS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenLocateExtCC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenLocateExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenLocateExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenLocateExtPS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenLocateExtSS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GLocateExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_LocateExtCC.cxx Diff ] File ]
mod - src/Extrema/Extrema_LocateExtCC2d.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_Batten.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_Batten.lxx Diff ] File ]
mod - src/FEmTool/FEmTool_Assembly.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_Curve.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_ElementsOfRefMatrix.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearFlexion.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearJerk.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearTension.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_ProfileMatrix.cxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_Builder.cxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff ] File ]
mod - src/FSD/FSD_BinaryFile.cxx Diff ] File ]
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
mod - src/FSD/FSD_File.cxx Diff ] File ]
mod - src/GC/GC_MakeConicalSurface.cxx Diff ] File ]
mod - src/GC/GC_MakeConicalSurface.hxx Diff ] File ]
mod - src/GC/GC_MakePlane.cxx Diff ] File ]
mod - src/GC/GC_MakePlane.hxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCylinder.cxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCylinder.hxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_1.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_10.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_2.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_3.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_4.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_6.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_7.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_8.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanOn_9.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_1.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_2.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_3.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_4.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d2TanRad_5.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_1.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_2.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_3.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_4.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_5.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_6.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_7.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_8.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dBisec.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanCen.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad_1.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad_2.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad_3.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad_4.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad_5.cxx Diff ] File ]
mod - src/GccAna/GccAna_CircLin2dBisec.cxx Diff ] File ]
mod - src/GccAna/GccAna_CircPnt2dBisec.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2d2Tan.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2dBisec.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanObl.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanPar.cxx Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanPer.cxx Diff ] File ]
mod - src/GccAna/GccAna_LinPnt2dBisec.cxx Diff ] File ]
mod - src/GccAna/GccAna_NoSolution.hxx Diff ] File ]
mod - src/GccAna/GccAna_Pnt2dBisec.cxx Diff ] File ]
mod - src/GccEnt/GccEnt_BadQualifier.hxx Diff ] File ]
mod - src/GccInt/GccInt_Bisec.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_AbscissaPoint.pxx Diff ] File ]
mod - src/Geom/Geom_BezierCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BezierSurface.cxx Diff ] File ]
mod - src/Geom/Geom_BSplineCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BSplineSurface.cxx Diff ] File ]
mod - src/Geom/Geom_BSplineSurface_1.cxx Diff ] File ]
mod - src/Geom/Geom_Circle.cxx Diff ] File ]
mod - src/Geom/Geom_ConicalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_CylindricalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_Ellipse.cxx Diff ] File ]
mod - src/Geom/Geom_Geometry.cxx Diff ] File ]
mod - src/Geom/Geom_Hyperbola.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetCurve.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.cxx Diff ] File ]
mod - src/Geom/Geom_Parabola.cxx Diff ] File ]
mod - src/Geom/Geom_RectangularTrimmedSurface.cxx Diff ] File ]
mod - src/Geom/Geom_SphericalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfRevolution.cxx Diff ] File ]
mod - src/Geom/Geom_ToroidalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_TrimmedCurve.cxx Diff ] File ]
mod - src/Geom/Geom_UndefinedDerivative.hxx Diff ] File ]
mod - src/Geom/Geom_UndefinedValue.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_BezierCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BSplineCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Circle.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Ellipse.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Hyperbola.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_OffsetCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Parabola.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_TrimmedCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_UndefinedDerivative.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_UndefinedValue.hxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.lxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.hxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_Interpolate.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveKnotSplitting.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveToBezierCurve.cxx Diff ] File ]
mod - src/Geom2dEvaluator/Geom2dEvaluator_OffsetCurve.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCen.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCenGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuCu.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuOnCu.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_IsParallel.hxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2TanIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanOblIter.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.lxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Surface.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Surface.lxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfRevolution.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_Interpolate.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_1.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineCurveKnotSplitting.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineCurveToBezierCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineSurfaceKnotSplitting.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineSurfaceToBezierSurface.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_CompBezierSurfacesToBSplineSurface.cxx Diff ] File ]
mod - src/GeomEvaluator/GeomEvaluator_OffsetCurve.cxx Diff ] File ]
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BezierCurves.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Boundary.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BoundWithSurf.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BSplineCurves.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_ConstrainedFilling.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Curved.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Curved.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_Darboux.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_DiscreteTrihedron.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_DraftTrihedron.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_EvolvedSection.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Fixed.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Frenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationLaw.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_NSections.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Pipe.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Profiler.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionLaw.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionPlacement.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SnglrFunc.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Sweep.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_TrihedronLaw.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_LineConstructor.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_LineConstructor.lxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_IsPlanarSurface.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_LogSample.cxx Diff ] File ]
mod - src/GeomLProp/GeomLProp.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_PointConstraint.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_Surface.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomCurve.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Curve2dSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Debug.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeConicalSurface.cxx Diff ] File ]
mod - src/gp/gp_GTrsf.cxx Diff ] File ]
mod - src/gp/gp_GTrsf.lxx Diff ] File ]
mod - src/gp/gp_GTrsf2d.cxx Diff ] File ]
mod - src/gp/gp_Vec2d.cxx Diff ] File ]
mod - src/gp/gp_VectorWithNullMagnitude.hxx Diff ] File ]
mod - src/GProp/GProp_GProps.cxx Diff ] File ]
mod - src/GProp/GProp_PEquation.cxx Diff ] File ]
mod - src/GProp/GProp_PGProps.cxx Diff ] File ]
mod - src/GProp/GProp_UndefinedAxis.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.lxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectLine3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectLine3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectMarker3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectMarker3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectText3d.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_AspectTextDefinitionError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GroupDefinitionError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialDefinitionError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PriorityDefinitionError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureDefinitionError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Texture1D.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Texture2D.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureEnv.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TransformError.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TransformPers.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Vector.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_VectorError.hxx Diff ] File ]
mod - src/Hatch/Hatch_Hatcher.cxx Diff ] File ]
mod - src/Hermit/Hermit.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_EdgeBuilder.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_VertexList.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]
mod - src/IFGraph/IFGraph_SubPartsIterator.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Activator.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ContextModif.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ContextWrite.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_PacketList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectAnyList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ElementResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_FiniteElement.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_FlowLineSpec.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_LevelToPWBLayerMap.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_NodalConstraint.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_NodalDisplAndRot.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_NodalResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_PipingFlow.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_PWBArtworkStackup.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ExternalReferenceFile.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ExternalRefFileIndex.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_Group.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_SingleParent.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_SubfigureDef.cxx Diff ] File ]
mod - src/IGESConvGeom/IGESConvGeom_GeomBuilder.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESDumper.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESEntity.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.cxx Diff ] File ]
mod - src/IGESData/IGESData_ParamCursor.cxx Diff ] File ]
mod - src/IGESData/IGESData_ToolLocation.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_AssociativityDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_AttributeDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_AttributeTable.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_GenericData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_MacroDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_TabularData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_UnitsData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_CenterLine.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_DimensionDisplayData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_DimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_FlagNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_GeneralLabel.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_GeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_GeneralSymbol.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_LeaderArrow.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_LinearDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_NewDimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_NewGeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_Section.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_SectionedArea.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_WitnessLine.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_CircArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_Drawing.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_DrawingWithRotation.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_LabelDisplay.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_NetworkSubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_NetworkSubfigureDef.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_Planar.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_RectArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_SegmentedViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ViewsVisibleWithAttr.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_Boundary.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_BoundedSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_BSplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_BSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_CompositeCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_CopiousData.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_Flash.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_SplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_SplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_TransformationMatrix.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_TrimmedSurface.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_DefinitionLevel.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_LineFontDefPattern.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_TextFontDef.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_BooleanTree.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_EdgeList.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_Face.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_Loop.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ManifoldSolid.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_Shell.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_SolidAssembly.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_TopoBuilder.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_VertexList.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicCurve.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicSurface.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/IntAna/IntAna_Curve.cxx Diff ] File ]
mod - src/IntAna/IntAna_Int3Pln.lxx Diff ] File ]
mod - src/IntAna/IntAna_IntConicQuad.lxx Diff ] File ]
mod - src/IntAna/IntAna_IntLinTorus.lxx Diff ] File ]
mod - src/IntAna/IntAna_IntQuadQuad.cxx Diff ] File ]
mod - src/IntAna/IntAna_IntQuadQuad.lxx Diff ] File ]
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]
mod - src/IntAna/IntAna_QuadQuadGeo.lxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_AnaIntersection.lxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_IntPoint.lxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicCurveGen.gxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicCurveGen.lxx Diff ] File ]
mod - src/IntCurve/IntCurve_Polygon2dGen.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Intersection.cxx Diff ] File ]
mod - src/Interface/Interface_Check.cxx Diff ] File ]
mod - src/Interface/Interface_CheckFailure.hxx Diff ] File ]
mod - src/Interface/Interface_CheckIterator.cxx Diff ] File ]
mod - src/Interface/Interface_CheckTool.cxx Diff ] File ]
mod - src/Interface/Interface_CopyMap.cxx Diff ] File ]
mod - src/Interface/Interface_CopyTool.cxx Diff ] File ]
mod - src/Interface/Interface_EntityCluster.cxx Diff ] File ]
mod - src/Interface/Interface_EntityIterator.cxx Diff ] File ]
mod - src/Interface/Interface_EntityList.cxx Diff ] File ]
mod - src/Interface/Interface_FileReaderTool.cxx Diff ] File ]
mod - src/Interface/Interface_Graph.cxx Diff ] File ]
mod - src/Interface/Interface_InterfaceError.hxx Diff ] File ]
mod - src/Interface/Interface_InterfaceMismatch.hxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.cxx Diff ] File ]
mod - src/Interface/Interface_LineBuffer.cxx Diff ] File ]
mod - src/Interface/Interface_MSG.cxx Diff ] File ]
mod - src/Interface/Interface_Recognizer.gxx Diff ] File ]
mod - src/Interface/Interface_ShareFlags.cxx Diff ] File ]
mod - src/Interface/Interface_ShareTool.cxx Diff ] File ]
mod - src/Interface/Interface_StaticStandards.cxx Diff ] File ]
mod - src/Interface/Interface_UndefinedContent.cxx Diff ] File ]
mod - src/IntImp/IntImp_Int2S.gxx Diff ] File ]
mod - src/IntImp/IntImp_Int2S.lxx Diff ] File ]
mod - src/IntImp/IntImp_IntCS.gxx Diff ] File ]
mod - src/IntImp/IntImp_ZerImpFunc.lxx Diff ] File ]
mod - src/IntImp/IntImp_ZerParFunc.gxx Diff ] File ]
mod - src/IntImp/IntImp_ZerParFunc.lxx Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_Intersector.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALine.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_GLine.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_HInterTool.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_2.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_Line.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Point.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_PolyArc.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_RLine.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_SpecialPoints.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLine.lxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Domain.lxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Intersection.lxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_IntersectionSegment.lxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Transition.lxx Diff ] File ]
mod - src/IntStart/IntStart_PathPoint.lxx Diff ] File ]
mod - src/IntStart/IntStart_SearchInside.lxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.lxx Diff ] File ]
mod - src/IntStart/IntStart_Segment.lxx Diff ] File ]
mod - src/IntSurf/IntSurf_PathPoint.lxx Diff ] File ]
mod - src/IntSurf/IntSurf_Transition.lxx Diff ] File ]
mod - src/IntTools/IntTools_CArray1.gxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_TopolTool.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking_6.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWLine.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_TheFunctionOfTheInt2S.hxx Diff ] File ]
mod - src/IntWalk/IntWalk_TheInt2S.hxx Diff ] File ]
mod - src/Law/Law.cxx Diff ] File ]
mod - src/Law/Law_BSpFunc.cxx Diff ] File ]
mod - src/Law/Law_BSpline.cxx Diff ] File ]
mod - src/Law/Law_BSplineKnotSplitting.cxx Diff ] File ]
mod - src/Law/Law_Composite.cxx Diff ] File ]
mod - src/Law/Law_Interpolate.cxx Diff ] File ]
mod - src/LibCtl/LibCtl_Library.gxx Diff ] File ]
mod - src/LocalAnalysis/LocalAnalysis_CurveContinuity.cxx Diff ] File ]
mod - src/LocalAnalysis/LocalAnalysis_SurfaceContinuity.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildWires.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CurveShapeIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CurveShapeIntersector.lxx Diff ] File ]
mod - src/LocOpe/LocOpe_DPrism.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.lxx Diff ] File ]
mod - src/LocOpe/LocOpe_GluedShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Gluer.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Gluer.lxx Diff ] File ]
mod - src/LocOpe/LocOpe_LinearForm.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Pipe.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Prism.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Revol.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_RevolutionForm.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Spliter.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Spliter.lxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff ] File ]
mod - src/LProp/LProp_BadContinuity.hxx Diff ] File ]
mod - src/LProp/LProp_CLProps.gxx Diff ] File ]
mod - src/LProp/LProp_CurAndInf.cxx Diff ] File ]
mod - src/LProp/LProp_NotDefined.hxx Diff ] File ]
mod - src/LProp/LProp_SLProps.gxx Diff ] File ]
mod - src/MAT/MAT_Arc.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_CutCurve.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/math/math_EigenValuesSearcher.cxx Diff ] File ]
mod - src/math/math_FunctionSetRoot.cxx Diff ] File ]
mod - src/math/math_Gauss.cxx Diff ] File ]
mod - src/math/math_Matrix.cxx Diff ] File ]
mod - src/math/math_NotSquare.hxx Diff ] File ]
mod - src/math/math_SingularMatrix.hxx Diff ] File ]
mod - src/MeshTest/MeshTest_Debug.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_CaseData.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_CaseData.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/NCollection/NCollection_AccAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.cxx Diff ] File ]
mod - src/NCollection/NCollection_CellFilter.hxx Diff ] File ]
mod - src/NCollection/NCollection_DataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_DoubleMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_Map.hxx Diff ] File ]
mod - src/NCollection/NCollection_WinHeapAllocator.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_StructureShadow.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OSD/OSD.hxx Diff ] File ]
mod - src/OSD/OSD_Directory.cxx Diff ] File ]
mod - src/OSD/OSD_Disk.cxx Diff ] File ]
mod - src/OSD/OSD_Environment.cxx Diff ] File ]
mod - src/OSD/OSD_Error.cxx Diff ] File ]
mod - src/OSD/OSD_Exception.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_ACCESS_VIOLATION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_ARRAY_BOUNDS_EXCEEDED.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_CTRL_BREAK.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_DENORMAL_OPERAND.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_DIVIDE_BY_ZERO.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_INEXACT_RESULT.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_INVALID_OPERATION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_OVERFLOW.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_STACK_CHECK.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_FLT_UNDERFLOW.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_ILLEGAL_INSTRUCTION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_INT_DIVIDE_BY_ZERO.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_INT_OVERFLOW.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_INVALID_DISPOSITION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_IN_PAGE_ERROR.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_NONCONTINUABLE_EXCEPTION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_PRIV_INSTRUCTION.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_STACK_OVERFLOW.hxx Diff ] File ]
mod - src/OSD/OSD_Exception_STATUS_NO_MEMORY.hxx Diff ] File ]
mod - src/OSD/OSD_File.cxx Diff ] File ]
mod - src/OSD/OSD_FileNode.cxx Diff ] File ]
mod - src/OSD/OSD_OSDError.hxx Diff ] File ]
mod - src/OSD/OSD_Parallel.hxx Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]
mod - src/OSD/OSD_SIGBUS.hxx Diff ] File ]
mod - src/OSD/OSD_SIGHUP.hxx Diff ] File ]
mod - src/OSD/OSD_SIGILL.hxx Diff ] File ]
mod - src/OSD/OSD_SIGINT.hxx Diff ] File ]
mod - src/OSD/OSD_SIGKILL.hxx Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/OSD/OSD_Signal.hxx Diff ] File ]
mod - src/OSD/OSD_SIGQUIT.hxx Diff ] File ]
mod - src/OSD/OSD_SIGSEGV.hxx Diff ] File ]
mod - src/OSD/OSD_SIGSYS.hxx Diff ] File ]
mod - src/PCDM/PCDM_DriverError.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter.cxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.cxx Diff ] File ]
mod - src/Plate/Plate_LinearScalarConstraint.cxx Diff ] File ]
mod - src/Plate/Plate_LinearXYZConstraint.cxx Diff ] File ]
mod - src/Plate/Plate_SampledCurveConstraint.cxx Diff ] File ]
mod - src/PLib/PLib.cxx Diff ] File ]
mod - src/PLib/PLib_JacobiPolynomial.cxx Diff ] File ]
mod - src/Plugin/Plugin.cxx Diff ] File ]
mod - src/Plugin/Plugin_Failure.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangle.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_PrjFunc.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_PrjResolve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnPlane.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_Projector.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_InvalidAngle.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperation.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Box.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Chamfer.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Cylinder.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Fillet.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Gluing.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_ImportShape.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Prism.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Revol.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Sphere.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_TopNaming.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Limitation.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Quantity/Quantity_ColorDefinitionError.hxx Diff ] File ]
mod - src/Quantity/Quantity_Date.cxx Diff ] File ]
mod - src/Quantity/Quantity_DateDefinitionError.hxx Diff ] File ]
mod - src/Quantity/Quantity_Period.cxx Diff ] File ]
mod - src/Quantity/Quantity_PeriodDefinitionError.hxx Diff ] File ]
mod - src/Resource/Resource_Manager.cxx Diff ] File ]
mod - src/Resource/Resource_NoSuchResource.hxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_BoxBndTree.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Curve.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_WireOrder.cxx Diff ] File ]
mod - src/ShapeBuild/ShapeBuild_Edge.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_Curve.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Edge.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_EdgeProjAux.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wireframe.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire_1.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Context.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_FixSmallBezierCurves.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ShapeDivide.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve2d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve3d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx Diff ] File ]
mod - src/Standard/Standard_AbortiveTransaction.hxx Diff ] File ]
mod - src/Standard/Standard_Assert.hxx Diff ] File ]
mod - src/Standard/Standard_ConstructionError.hxx Diff ] File ]
mod - src/Standard/Standard_DimensionError.hxx Diff ] File ]
mod - src/Standard/Standard_DimensionMismatch.hxx Diff ] File ]
mod - src/Standard/Standard_DivideByZero.hxx Diff ] File ]
mod - src/Standard/Standard_DomainError.hxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.cxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.hxx Diff ] File ]
mod - src/Standard/Standard_Failure.cxx Diff ] File ]
mod - src/Standard/Standard_Failure.hxx Diff ] File ]
mod - src/Standard/Standard_GUID.cxx Diff ] File ]
mod - src/Standard/Standard_ImmutableObject.hxx Diff ] File ]
mod - src/Standard/Standard_LicenseError.hxx Diff ] File ]
mod - src/Standard/Standard_LicenseNotFound.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrRaw.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrTBBalloc.cxx Diff ] File ]
mod - src/Standard/Standard_MultiplyDefined.hxx Diff ] File ]
mod - src/Standard/Standard_NegativeValue.hxx Diff ] File ]
mod - src/Standard/Standard_NoMoreObject.hxx Diff ] File ]
mod - src/Standard/Standard_NoSuchObject.hxx Diff ] File ]
mod - src/Standard/Standard_NotImplemented.hxx Diff ] File ]
mod - src/Standard/Standard_NullObject.hxx Diff ] File ]
mod - src/Standard/Standard_NullValue.hxx Diff ] File ]
mod - src/Standard/Standard_NumericError.hxx Diff ] File ]
mod - src/Standard/Standard_OutOfMemory.hxx Diff ] File ]
mod - src/Standard/Standard_OutOfRange.hxx Diff ] File ]
mod - src/Standard/Standard_Overflow.hxx Diff ] File ]
mod - src/Standard/Standard_ProgramError.hxx Diff ] File ]
mod - src/Standard/Standard_RangeError.hxx Diff ] File ]
mod - src/Standard/Standard_Real.cxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.cxx Diff ] File ]
mod - src/Standard/Standard_TooManyUsers.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_TypeMismatch.hxx Diff ] File ]
mod - src/Standard/Standard_Underflow.hxx Diff ] File ]
mod - src/StdDrivers/StdDrivers.cxx Diff ] File ]
mod - src/StdFail/StdFail_InfiniteSolutions.hxx Diff ] File ]
mod - src/StdFail/StdFail_NotDone.hxx Diff ] File ]
mod - src/StdFail/StdFail_Undefined.hxx Diff ] File ]
mod - src/StdFail/StdFail_UndefinedDerivative.hxx Diff ] File ]
mod - src/StdFail/StdFail_UndefinedValue.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StepData/StepData_FieldList.cxx Diff ] File ]
mod - src/StepData/StepData_FieldList1.cxx Diff ] File ]
mod - src/StepData/StepData_FieldListD.cxx Diff ] File ]
mod - src/StepData/StepData_Plex.cxx Diff ] File ]
mod - src/StepData/StepData_SelectType.cxx Diff ] File ]
mod - src/StepData/StepData_Simple.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderTool.cxx Diff ] File ]
mod - src/StepData/StepData_StepWriter.cxx Diff ] File ]
mod - src/StepFile/StepFile_CallFailure.cxx Diff ] File ]
mod - src/StepFile/StepFile_Read.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_StepType.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]
mod - src/Storage/Storage_RootData.cxx Diff ] File ]
mod - src/Storage/Storage_StreamExtCharParityError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamFormatError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamModeError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamReadError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamTypeMismatchError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamUnknownTypeError.hxx Diff ] File ]
mod - src/Storage/Storage_StreamWriteError.hxx Diff ] File ]
mod - src/Storage/Storage_TypeData.cxx Diff ] File ]
mod - src/Sweep/Sweep_NumShapeTool.cxx Diff ] File ]
mod - src/TCollection/TCollection_Array2.gxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.lxx Diff ] File ]
mod - src/TCollection/TCollection_BaseSequence.cxx Diff ] File ]
mod - src/TCollection/TCollection_DataMap.gxx Diff ] File ]
mod - src/TCollection/TCollection_DoubleMap.gxx Diff ] File ]
mod - src/TCollection/TCollection_ExtendedString.cxx Diff ] File ]
mod - src/TCollection/TCollection_HAsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_IndexedDataMap.gxx Diff ] File ]
mod - src/TCollection/TCollection_IndexedMap.gxx Diff ] File ]
mod - src/TDataStd/TDataStd_Current.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Directory.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_NoteBook.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Variable.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Geometry.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Shape.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDF/TDF_CopyTool.cxx Diff ] File ]
mod - src/TDF/TDF_Delta.cxx Diff ] File ]
mod - src/TDF/TDF_Label.cxx Diff ] File ]
mod - src/TDF/TDF_Transaction.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Modified.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_MultiTransactionManager.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Owner.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkIterator.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkTool.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TFunction/TFunction_IFunction.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cxx Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObj/TObj_TIntSparseArray.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_Builder.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_FrozenShape.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_LockedShape.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_UnCompatibleShapes.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Bipoint.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_GeomTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_LineInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.lxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessGR.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInterIterator.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprclo.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_WPointInterIterator.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BlockBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_End.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FaceBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_fctwes.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_HBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_KPart.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_kpkole.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makefaces.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Section.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_SolidBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_SplitShapes.hxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_BuildTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_DataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Edge3dInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EdgeInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_PointIterator.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_repvg.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TKI.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Transition.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_BoxSort.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CurveTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_face.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_FuseEdges.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_HBoxTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_PURGE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_PurgeInternalEdges.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUS.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUW.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeTool.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISPresentation.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISViewer.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/Transfer/Transfer_Binder.cxx Diff ] File ]
mod - src/Transfer/Transfer_Iterator.gxx Diff ] File ]
mod - src/Transfer/Transfer_TransferDeadLoop.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransferFailure.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransferInput.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferIterator.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferOutput.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferProcess.gxx Diff ] File ]
mod - src/Units/Units.cxx Diff ] File ]
mod - src/Units/Units_NoSuchType.hxx Diff ] File ]
mod - src/Units/Units_NoSuchUnit.hxx Diff ] File ]
mod - src/Units/Units_Sentence.cxx Diff ] File ]
mod - src/Units/Units_UnitsSystem.cxx Diff ] File ]
mod - src/V3d/V3d_BadValue.hxx Diff ] File ]
mod - src/V3d/V3d_UnMapped.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_View_2.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Vrml/Vrml_DirectionalLight.cxx Diff ] File ]
mod - src/Vrml/Vrml_Material.cxx Diff ] File ]
mod - src/Vrml/Vrml_PointLight.cxx Diff ] File ]
mod - src/Vrml/Vrml_SFImage.cxx Diff ] File ]
mod - src/Vrml/Vrml_SpotLight.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.cxx Diff ] File ]
mod - src/WNT/WNT_ClassDefinitionError.hxx Diff ] File ]
mod - src/WNT/WNT_WClass.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_ConstraintDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_GeometryDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamingDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_Shape1.cxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_AlgoContainer.cxx Diff ] File ]
mod - src/XSControl/XSControl_Controller.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferWriter.cxx Diff ] File ]
mod - src/XSControl/XSControl_Utils.cxx Diff ] File ]
mod - src/XSDRAWIGES/XSDRAWIGES.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
rm - tests/bugs/fclasses/bug28217 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-30 12:00 Roman Lygin New Issue
2015-11-30 12:00 Roman Lygin Assigned To => abv
2015-11-30 12:00 Roman Lygin Relationship added child of 0026924
2015-12-14 22:39 abv Target Version 7.0.0 => 7.1.0
2016-01-06 16:34 abv Note Added: 0049702
2016-01-21 12:26 Timo Note Added: 0050010
2016-01-21 12:45 abv Note Added: 0050011
2016-11-02 18:15 jensgw Note Added: 0059810
2016-11-05 21:06 abv Target Version 7.1.0 => 7.2.0
2016-12-25 01:31 abv Relationship added related to 0028217
2017-01-12 08:27 abv Assigned To abv => ski
2017-01-12 08:27 abv Status new => assigned
2017-01-20 17:02 git Note Added: 0062852
2017-01-20 18:00 git Note Added: 0062858
2017-01-23 15:10 git Note Added: 0062902
2017-01-23 16:22 git Note Added: 0062914
2017-01-23 18:01 git Note Added: 0062918
2017-01-23 18:54 ski Note Added: 0062922
2017-01-23 18:54 ski Assigned To ski => abv
2017-01-23 18:54 ski Status assigned => resolved
2017-01-23 18:54 ski Steps to Reproduce Updated View Revisions
2017-01-23 19:30 abv Note Added: 0062923
2017-01-23 19:30 abv Assigned To abv => ski
2017-01-23 19:30 abv Status resolved => assigned
2017-01-24 11:26 git Note Added: 0062929
2017-01-24 13:49 git Note Added: 0062940
2017-01-25 14:26 ski Note Added: 0063007
2017-01-25 14:26 ski Assigned To ski => abv
2017-01-25 14:26 ski Status assigned => resolved
2017-01-25 15:00 git Note Added: 0063013
2017-01-26 13:13 abv Note Added: 0063086
2017-01-26 13:13 abv Assigned To abv => bugmaster
2017-01-26 13:13 abv Status resolved => reviewed
2017-01-26 17:24 apv Assigned To bugmaster => apv
2017-01-27 16:50 apv Assigned To apv => ski
2017-01-27 16:50 apv Status reviewed => assigned
2017-01-30 16:34 git Note Added: 0063202
2017-01-30 17:01 ski Note Added: 0063210
2017-01-30 17:01 ski Assigned To ski => abv
2017-01-30 17:01 ski Status assigned => resolved
2017-01-30 19:36 abv Note Added: 0063220
2017-01-30 19:36 abv Assigned To abv => ski
2017-01-30 19:36 abv Status resolved => feedback
2017-01-30 20:50 git Note Added: 0063230
2017-01-30 21:56 abv Note Added: 0063231
2017-01-30 21:56 abv Assigned To ski => bugmaster
2017-01-30 21:56 abv Status feedback => reviewed
2017-01-31 09:52 git Note Added: 0063236
2017-01-31 11:44 mkv Assigned To bugmaster => mkv
2017-02-01 12:43 mkv Note Added: 0063283
2017-02-01 12:44 mkv Note Added: 0063284
2017-02-01 12:44 mkv Assigned To mkv => ski
2017-02-01 12:44 mkv Status reviewed => assigned
2017-02-01 19:02 ski Note Added: 0063324
2017-02-01 19:02 ski Assigned To ski => abv
2017-02-01 19:02 ski Status assigned => resolved
2017-02-01 19:37 abv Note Added: 0063325
2017-02-01 19:37 abv Assigned To abv => ski
2017-02-01 19:37 abv Status resolved => assigned
2017-02-01 20:24 git Note Added: 0063330
2017-02-01 20:44 ski Note Added: 0063331
2017-02-01 20:44 ski Assigned To ski => abv
2017-02-01 20:44 ski Status assigned => resolved
2017-02-02 10:52 abv Note Added: 0063339
2017-02-02 10:52 abv Assigned To abv => bugmaster
2017-02-02 10:52 abv Status resolved => reviewed
2017-02-02 11:01 mkv Assigned To bugmaster => mkv
2017-02-02 12:38 mkv Note Added: 0063349
2017-02-02 12:39 mkv Note Added: 0063350
2017-02-02 12:39 mkv Assigned To mkv => bugmaster
2017-02-02 12:39 mkv Status reviewed => tested
2017-02-02 12:39 mkv Test case number => Not needed
2017-02-03 13:18 ski Relationship added related to 0028431
2017-02-03 16:52 apn Changeset attached => occt master 9775fa61
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:35 git Note Added: 0063583
2017-02-08 11:35 git Note Added: 0063584
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker